#
# spec file for package limal-runlevel (Version 1.1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expat-32bit expect file filesystem fillup findutils flex fontconfig-32bit fop freetype2-32bit gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun jpackage-utils klogd less libacl libapr-util1 libapr1 libattr libcom_err libgcc libgcrypt libgpg-error libidn libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-devel limal-devtools m4 make man mktemp module-init-tools ncurses ncurses-devel neon net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace subversion swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           limal-runlevel
URL:            http://forge.novell.com/modules/xfmod/project/?limal
Version:        1.1.2
Release:        11.2
License:        GPL
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        limal-runlevel-1.1.2.tar.bz2
prefix:		/usr
%define		swiglibdir %(swig -swiglib)
BuildRequires:  curl gcc-c++ limal-devel limal-devtools perl-gettext sgml-skel
Summary:        LiMaL - Runlevel Library

%description
The LiMaL Runlevel Library provides methods for runlevel and service
management.



Authors:
--------
    Marius Tomaschewski

%debug_package
%package devel
Requires:       limal-runlevel = %version
Requires:       limal-devel, libstdc++-devel, blocxx-devel, pcre-devel
Group:          Development/Libraries/C and C++
Summary:        LiMaL - Runlevel Library Development Files

%description devel
The LiMaL Runlevel Library provides methods for runlevel and service
management.

This package provides files required for development using the library.



Authors:
--------
    Marius Tomaschewski

%package perl
Requires:       limal-perl
Group:          Development/Libraries/C and C++
Summary:        LiMaL - Runlevel Library Perl Bindings

%description perl
The LiMaL Runlevel Library provides methods for runlevel and service
management.

This package provides the perl bindings to the runlevel library.



Authors:
--------
    Marius Tomaschewski

%prep
%setup -n limal-runlevel-1.1.2

%build
%{prefix}/bin/limaltool limalautoconf
%{prefix}/bin/limaltool limalautomake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} \
            --sysconfdir=/etc --localstatedir=/var
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/limal/devtools/NO_MAKE_CHECK" ] || \
           LIMALDATADIR="$RPM_BUILD_ROOT/usr/share/limal"  \
# required for perl test cases
#export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/usr/lib/limal"
#make check DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so.*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so
%{_libdir}/limal/lib*.la
%dir %{_includedir}/limal/runlevel
%{_includedir}/limal/runlevel/*
%{_libdir}/pkgconfig/limal-runlevel.pc
%doc %{_prefix}/share/doc/packages/limal-runlevel

%files perl
%defattr(-,root,root)
%dir %{perl_vendorarch}/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL/Runlevel/
%{perl_vendorarch}/auto/LIMAL/Runlevel/*
%{perl_vendorarch}/LIMAL/*.pm

%changelog -n limal-runlevel
* Thu Mar 09 2006 - mt@suse.de
- Bug #155974: fixed getRunlevelServiceNames() to use service
  file names the runlevel link points to and apply black list
  to be consistent with getInstalledServiceNames().
- version 1.1.2
* Mon Feb 13 2006 - mt@suse.de
- Fixed typo in version in the %%setup macro
* Mon Feb 13 2006 - mt@suse.de
- Bug #150393: fixed to install missed *.gif and *.css
  files in autodocs/doxygen documentation.
- Fixed LSBExitCode to be a Int32, supported by swig
- increased patch level - version 1.1.1
* Fri Jan 27 2006 - mc@suse.de
- version 1.1.0
- install swig wrapper lib with 755 permissions
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 27 2005 - mt@suse.de
- initial package, version 1.0.0
